Bug 16274 - Криво резолвит симлинки, что появляется на 2.6.25+ с отключенным SYSFS_DEPRECATED
Summary: Криво резолвит симлинки, что появляется на 2.6.25+ с отключенным SYSFS_DEPREC...
Status: CLOSED FIXED
Alias: None
Product: Sisyphus
Classification: Development
Component: libsysfs (show other bugs)
Version: unstable
Hardware: all Linux
: P2 normal
Assignee: Nobody's working on this, feel free to take it
QA Contact: qa-sisyphus
URL: http://bugs.debian.org/cgi-bin/bugrep...
Keywords:
Depends on:
Blocks:
 
Reported: 2008-07-05 00:00 MSD by Alexei V. Mezin
Modified: 2012-03-16 13:59 MSK (History)
0 users

See Also:


Attachments
Лог pmount -d (7.44 KB, text/plain)
2008-07-05 01:14 MSD, Alexei V. Mezin
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Alexei V. Mezin 2008-07-05 00:00:46 MSD
После очередного обновления стал выдавать такое:

Ошибка: /dev/sdh1 - не является съемным устройством 

sdh1 -- флэшка.

pmount-0.9.17-alt1
Comment 2 Alexei V. Mezin 2008-07-05 00:48:33 MSD
(In reply to comment #1)
> Это не проблема pmount.  См. такж:
> 
> http://lists.altlinux.org/pipermail/sisyphus/2008-April/213909.html
> http://lists.altlinux.org/pipermail/sisyphus/2008-April/213914.html
> 

А нельзя ли тогда чуть подробнее? Потому что 

[alexei@threebears ~]$ polkit-auth | grep storage
org.freedesktop.hal.storage.mount-removable
org.freedesktop.hal.storage.eject
org.freedesktop.hal.storage.crypto-setup-removable

Но pmount все равно не работает. А без него ivman не монтирует устройства.
Comment 3 Sir Raorn 2008-07-05 01:03:59 MSD
Значит другой local misconfiguration.  У меня всё прекрасно монтирует.  Ядро не 2.6.18 ли?  Поднимитесь на пару писем выше по треду, 2.6.18 не умеет опции flush.

В любом случае - pmount не обновлялся с января и проблема явно не в нём.
Comment 4 Alexei V. Mezin 2008-07-05 01:14:44 MSD
Created attachment 2694 [details]
Лог pmount -d
Comment 5 Alexei V. Mezin 2008-07-05 01:15:51 MSD
[alexei@threebears ~]$ uname -r 
2.6.25-std-def-alt5

Похожая ошибка (именно pmount?) была обнаружена тут:

http://www.mail-archive.com/debian-bugs-dist@lists.debian.org/msg528270.html
Comment 6 Alexei V. Mezin 2008-07-05 01:32:41 MSD
(In reply to comment #5)
> [alexei@threebears ~]$ uname -r 
> 2.6.25-std-def-alt5
> 
> Похожая ошибка (именно pmount?) была обнаружена тут:
> 
> http://www.mail-archive.com/debian-bugs-dist@lists.debian.org/msg528270.html
> 

И даже более: http://bugs.gentoo.org/show_bug.cgi?id=220347
(и чтоб мы делали без кладези знаний по имени gentoo?)

Ошибка где-то в недопонимании pmount<->libsysfs, и имеется патч на libsysfs. Так что багу, наверное, можно перевешивать туда.
Comment 7 Sir Raorn 2008-07-05 01:45:56 MSD
Читаем Summary в гентушной багзилле и передаём пламенные приветы мантейнеру ядра.
Comment 8 Alexei V. Mezin 2008-07-05 14:43:43 MSD
(In reply to comment #7)
> Читаем Summary в гентушной багзилле и передаём пламенные приветы мантейнеру
> ядра.
> 

Перечитал еще раз. Ничего не понял. Точнее понял так:
в ядре отключили опцию CONFIG_SYSFS_DEPRECATED_V2=y, из-за чего вылез баг в libsysfs. Есть патч, этот баг устраняющий, но пока не ясно, сколько программ он может сломать. Так что багу надо перевесить на sysfs. 

Или я не прав?
Comment 9 Sir Raorn 2008-07-05 19:40:39 MSD
Reopening
Comment 10 Sir Raorn 2008-07-06 00:17:19 MSD
Fixed in 2.1.0-alt5